Bug 740929 - Edit Role: Very long description returns unhelpful error
Summary: Edit Role: Very long description returns unhelpful error
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: Unspecified
Assignee: Partha Aji
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks: katello-blockers
TreeView+ depends on / blocked
 
Reported: 2011-09-23 19:49 UTC by Corey Welton
Modified: 2013-03-27 20:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-22 17:58:05 UTC


Attachments (Terms of Use)

Description Corey Welton 2011-09-23 19:49:22 UTC
Description of problem:
When editing a role, entering a very long string for role description returns a cryptic error message

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  Create a new role, "New Role"
2.  From roles view, select "New Role"
3.  Click the "Edit Role" button
4.  For role description, enter the following text into the textbox:

This is a very long description This is a very long description This is a very long description This is a very long description This is a very long description This is a very long description This is a very long description This is a very long description This is a very long description This is a very long description 
  
Actual results:
Error message that reads
[object Object]

Expected results:
* Contextual error message
* Perhaps a hard limit in the text field for amount of text that can be entered?

Additional info:

Comment 1 Partha Aji 2012-01-24 17:46:30 UTC
Sounds like this aspect has been imporved. I got an error saying "Description cannot be more than 255 characters"

Comment 3 Corey Welton 2012-01-31 21:50:04 UTC
QA Verified.


Note You need to log in before you can comment on or make changes to this bug.